## kmailtransport 25.12.1+p24.04+vstable+git20260118.0204

=== debian/changelog ===
kmailtransport (25.12.1+p24.04+vstable+git20260118.0204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 02:04:40 +0000

kmailtransport (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:23:38 +1000
