## kmailtransport 25.12.1+p24.04+vstable+git20260205.0541

=== debian/changelog ===
kmailtransport (25.12.1+p24.04+vstable+git20260205.0541-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 05:41:27 +0000
