=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: kmailtransport
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libkf6configwidgets-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkgapi-dev (>= 25.12.1~),
-               libksmtp-dev (>= 25.12.1~),
+               libkf6configwidgets-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkgapi-dev (>= 25.12.2~),
+               libksmtp-dev (>= 25.12.2~),
                pkgconf,
-               qt6-base-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
                xauth,
                xvfb,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kmailtransport
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
 Rules-Requires-Root: no
 
 Package: kmailtransport-plugins
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: mail transport akonadi library - plugins
  Mailtransport is a library that provides the following functionality:
  .
@@ -43,8 +42,11 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: libkf5mailtransport5 (<< 20.04.1-2~),
-Replaces: libkf5mailtransport-data,
+Breaks: libkpim5mailtransport-data,
+        libkf5mailtransport-data,
+        libkf5mailtransport5 (<< 20.04.1-2~),
+Replaces: libkpim5mailtransport-data,
+          libkf5mailtransport-data,
           libkf5mailtransport5 (<< 20.04.1-2~),
 Description: mail transport service library - data files
  Mailtransport is a library that provides the following functionality:
@@ -64,7 +66,7 @@
 Multi-Arch: same
 Depends: libkf6config-dev (>= 6.3.0~),
          libkpim6mailtransport6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: mail transport service library - development files
  Mailtransport is a library that provides the following functionality:
